Update folder
POST
/folder/{folderId}
const url = 'https://api.colourbox.com/folder/1';const options = { method: 'POST', headers: { Authorization: 'CBX-SIMPLE-TOKEN Token=<token>', 'Content-Type': 'application/json' }, body: '{"company_id":147903,"parent":161503,"name":"My Update Folder"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.colourbox.com/folder/1 \ --header 'Authorization: CBX-SIMPLE-TOKEN Token=<token>' \ --header 'Content-Type: application/json' \ --data '{ "company_id": 147903, "parent": 161503, "name": "My Update Folder" }'Update a given folder.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”folderId
required
integer
Request Body
Section titled “Request Body”Media typeapplication/json
object
company_id
integer
Example
147903parent
required
Folder ID of parent folder, null if no parent folder exists.
integer
Example
161503name
required
string
Example
My Update FolderResponses
Section titled “Responses”Description of newly created folder
Media typeapplication/json
object
created
string
company_id
integer
parent
Folder ID of parent folder, null if no parent folder exists.
integer
name
string
id
integer
Example
{ "created": "2014-06-26 14:11:25", "company_id": 147903, "parent": 161503, "name": "My Folder", "id": 1969517}